Sign up and get started with Confidence today! Create your account
Sign up and get started with Confidence today! Create your account
Validates a metric configuration
curl --request POST \
--url https://metrics.eu.confidence.dev/v1/metrics:validateMetric \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"metric": {
"displayName": "<string>",
"entity": "<string>",
"factTable": "<string>",
"typeSpec": {},
"createTime": {},
"updateTime": {},
"creator": "<string>",
"updater": "<string>",
"name": "<string>",
"description": "<string>",
"aggregationWindow": {},
"exposureOffset": {},
"measurementConfig": {
"openWindow": {}
},
"varianceReductionConfig": {
"disabled": true,
"aggregationWindowOverride": {}
},
"nullHandling": {
"replaceMeasureNullWithZero": true,
"replaceEntityNullWithZero": true
},
"preferredDirection": "PREFERRED_DIRECTION_UNSPECIFIED",
"defaultEffectSize": {
"value": "<string>"
},
"filterString": "<string>",
"deleteTime": {},
"labels": [
{}
],
"systemCreated": true,
"owner": "<string>",
"etag": "<string>",
"measurement": "<string>"
}
}
'{
"errors": [
{
"category": "<string>",
"description": "<string>"
}
]
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
OK
Show child attributes
Was this page helpful?
curl --request POST \
--url https://metrics.eu.confidence.dev/v1/metrics:validateMetric \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"metric": {
"displayName": "<string>",
"entity": "<string>",
"factTable": "<string>",
"typeSpec": {},
"createTime": {},
"updateTime": {},
"creator": "<string>",
"updater": "<string>",
"name": "<string>",
"description": "<string>",
"aggregationWindow": {},
"exposureOffset": {},
"measurementConfig": {
"openWindow": {}
},
"varianceReductionConfig": {
"disabled": true,
"aggregationWindowOverride": {}
},
"nullHandling": {
"replaceMeasureNullWithZero": true,
"replaceEntityNullWithZero": true
},
"preferredDirection": "PREFERRED_DIRECTION_UNSPECIFIED",
"defaultEffectSize": {
"value": "<string>"
},
"filterString": "<string>",
"deleteTime": {},
"labels": [
{}
],
"systemCreated": true,
"owner": "<string>",
"etag": "<string>",
"measurement": "<string>"
}
}
'{
"errors": [
{
"category": "<string>",
"description": "<string>"
}
]
}